StaticMethodMatcherPointcut (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.aop.support

## Class StaticMethodMatcherPointcut

- java.lang.Object
- - org.springframework.aop.support.StaticMethodMatcher
  - - org.springframework.aop.support.StaticMethodMatcherPointcut

- All Implemented Interfaces:
    MethodMatcher, Pointcut
  Direct Known Subclasses:
    AbstractRegexpMethodPointcut, NameMatchMethodPointcut, StaticMethodMatcherPointcutAdvisor

      public abstract class StaticMethodMatcherPointcut
      extends StaticMethodMatcher
      implements Pointcut

  Convenient superclass when we want to force subclasses to implement the `MethodMatcher` interface but subclasses will want to be pointcuts.

  The `"classFilter"` property can be set to customize `ClassFilter` behavior. The default is `ClassFilter.TRUE`.

  Author:
    Rod Johnson, Juergen Hoeller

- - ### Field Summary

    - ### Fields inherited from interface org.springframework.aop.Pointcut

      `TRUE`

    - ### Fields inherited from interface org.springframework.aop.MethodMatcher

      `TRUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StaticMethodMatcherPointcut()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClassFilter` | `getClassFilter()` Return the ClassFilter for this pointcut.
    `MethodMatcher` | `getMethodMatcher()` Return the MethodMatcher for this pointcut.
    `void` | `setClassFilter(ClassFilter classFilter)` Set the `ClassFilter` to use for this pointcut.

    - ### Methods inherited from class org.springframework.aop.support.StaticMethodMatcher

      `isRuntime, matches`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.springframework.aop.MethodMatcher

      `matches`

- - ### Constructor Detail

    - #### StaticMethodMatcherPointcut

          public StaticMethodMatcherPointcut()

  - ### Method Detail

    - #### setClassFilter

          public void setClassFilter(ClassFilter classFilter)

      Set the `ClassFilter` to use for this pointcut. Default is `ClassFilter.TRUE`.

    - #### getClassFilter

          public ClassFilter getClassFilter()

      Description copied from interface: `Pointcut`
      Return the ClassFilter for this pointcut.
      Specified by:
        `getClassFilter` in interface `Pointcut`
      Returns:
        the ClassFilter (never `null`)

    - #### getMethodMatcher

          public final MethodMatcher getMethodMatcher()

      Description copied from interface: `Pointcut`
      Return the MethodMatcher for this pointcut.
      Specified by:
        `getMethodMatcher` in interface `Pointcut`
      Returns:
        the MethodMatcher (never `null`)